<?php
/**
 * Busybella Customizer
 */
 
//Set config scope
busybella_Kirki::add_config( 'busybella_config', array(
	'option_type'	 => 'theme_mod',
	'capability'	 => 'edit_theme_options',
) );

// Get Panels
require_once( get_template_directory() .'/includes/customizer/panels/panels.php' );

// Get Sections
require_once( get_template_directory() .'/includes/customizer/sections/general-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/typography-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/header-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/footer-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/blog-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/misc-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/woocommerce-sections.php' );
require_once( get_template_directory() .'/includes/customizer/sections/help-sections.php' );

// Get Fields
require_once( get_template_directory() .'/includes/customizer/fields/general-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/typography-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/header-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/footer-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/blog-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/misc-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/woocommerce-fields.php' );
require_once( get_template_directory() .'/includes/customizer/fields/help-fields.php' );
/**
 * Customizer Mods
 */
function busybella_customizer_register( $wp_customize ) {
	
	// Remove core sections
	$wp_customize->remove_section( 'themes' );
	$wp_customize->remove_section( 'static_front_page' );
	$wp_customize->remove_section( 'colors' );
	$wp_customize->remove_section( 'background_image' );
	
	// Remove core controls
	$wp_customize->remove_control( 'blogname' );
	$wp_customize->remove_control( 'blogdescription' );
	$wp_customize->remove_control( 'header_textcolor' );
	$wp_customize->remove_control( 'background_color' );
	$wp_customize->remove_control( 'background_image' );
			
	// Remove default settings
	$wp_customize->remove_setting( 'background_color' );
	$wp_customize->remove_setting( 'background_image' );
			
	// Remove menus
	remove_action( 'customize_controls_enqueue_scripts', array( $wp_customize->nav_menus, 'enqueue_scripts' ) );
	remove_action( 'customize_register', array( $wp_customize->nav_menus, 'customize_register' ), 11 );
	remove_filter( 'customize_dynamic_setting_args', array( $wp_customize->nav_menus, 'filter_dynamic_setting_args' ) );
	remove_filter( 'customize_dynamic_setting_class', array( $wp_customize->nav_menus, 'filter_dynamic_setting_class' ) );
	remove_action( 'customize_controls_print_footer_scripts', array( $wp_customize->nav_menus, 'print_templates' ) );
	remove_action( 'customize_controls_print_footer_scripts', array( $wp_customize->nav_menus, 'available_items_template' ) );
	remove_action( 'customize_preview_init', array( $wp_customize->nav_menus, 'customize_preview_init' ) );	
	
	// Favicon - title_tagline section renamed
	$wp_customize->add_section( 'title_tagline' , array(
		'title'		=> esc_html__('Favicon','busybella'),
		'priority'	=> 1,
	));
}
add_action( 'customize_register', 'busybella_customizer_register' );
// customize_register

/**
 * Customizer css
 */
function busybella_panels_scripts() {
	wp_enqueue_style( 'customizer-style', get_template_directory_uri() . '/includes/customizer/customizer.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'busybella_panels_scripts' );