<?php
// Header section fields
// header layout
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_header_layout',
	'label'       => esc_html__( 'Select Header Layout Style', 'busybella' ),
	'description' => esc_html__( 'This will be applied globally', 'busybella' ),
	'section'     => 'busybella_section_header_general_settings',
	'default'     => 'header-v1',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'header-v1'	=> esc_html__( 'Header Layout Style 1', 'busybella' ),
		'header-v2'	=> esc_html__( 'Header Layout Style 2', 'busybella' ),
	),
) );

// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_main_header_background',
	'label'       => esc_html__( 'Background to Complete Main Header', 'busybella' ),
	'description'       => esc_html__( 'You will need to provide - white transparent background color - to Header Row One, Header Row Two and Menubar, in their respective section to make this work. Currently these all have different background colors provided.', 'busybella' ),
	'section'     => 'busybella_section_header_general_settings',
    'default'     => array(
            'background-color'    => '',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '#dtr-main-header' ),  ),
) );

// r1
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_r1_enable',
	'label'       	 => esc_html__( 'Header Row One', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// r2
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_r2_enable',
	'label'       	 => esc_html__( 'Header Row Two', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// menubar
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_menubar_enable',
	'label'       	 => esc_html__( 'Menubar', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// Header Search
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_search_enable',
	'label'       	 => esc_html__( 'Header Search', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// Header Widget Area - One
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_widget_area_one_enable',
	'label'       	 => esc_html__( 'Header Widget Area - One', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// Header Widget Area - Two
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_header_widget_area_two_enable',
	'label'       	 => esc_html__( 'Header Widget Area - Two', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// header_left_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_left_margin',
	'label'			 => esc_html__( 'Margin Top To Header Widget Area - One', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'priority'		 => 10,
) );

// header_right_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_right_margin',
	'label'			 => esc_html__( 'Margin Top To Header Header Widget Area - Two', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'priority'		 => 10,
) );

// header_search_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_search_margin',
	'label'			 => esc_html__( 'Margin Top To Header Search Icon', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'priority'		 => 10,
) );

// logo_top_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_logo_top_margin',
	'label'			 => esc_html__( 'Margin Top To Logo', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'priority'		 => 10,
) );

// nav_top_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_nav_top_margin',
	'label'			 => esc_html__( 'Margin Top To Menu', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'priority'		 => 10,
) );


// mobile_header_r1_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_mobile_header_r1_enable',
	'label'       	 => esc_html__( 'Header Row One - On Mobile', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// mobile_widget1_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_mobile_widget1_enable',
	'label'       	 => esc_html__( 'Widget Area One - On Mobile', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// mobile_widget2_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_mobile_widget2_enable',
	'label'       	 => esc_html__( 'Widget Area One - On Mobile', 'busybella' ),
	'section'		 => 'busybella_section_header_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// header r1 starts
// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_header_r1_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_header_r1_settings',
    'default'     => array(
            'background-color'    => '#fafafa',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-header-row-one' ),  ),
) );

// r1_border_bottom_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_header_r1_border_bottom_width',
	'label'			 => esc_html__( 'Border Bottom Width', 'busybella' ),
	'description' 	 => esc_html__( 'It will be in px', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_settings',
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// r1_border_bottom_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r1_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-one',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

// header_r1_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_r1_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_settings',
	'priority'		 => 10,
) );

// header_r1_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_r1_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_r1_settings',
	'priority'		 => 10,
) );
// header r1 ends
// header r2 starts
// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_header_r2_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_header_r2_settings',
    'default'     => array(
            'background-color' => '#ffffff',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-header-row-two' ),  ),
) );

// r2_border_bottom_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_header_r2_border_bottom_width',
	'label'			 => esc_html__( 'Border Bottom Width', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit to width. Ex. 1px', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_settings',
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// r2_border_bottom_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_header_r2_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_settings',
	'priority'		 => 10,
	'default'        => '#f2f2f2',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-two',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

// header_r2_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_r2_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_settings',
	'priority'		 => 10,
) );

// header_r2_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_header_r2_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_header_r2_settings',
	'priority'		 => 10,
) );
// header r2 ends

// menubar starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_menubar_align',
	'label'       => esc_html__( 'Menu Align', 'busybella' ),
	'section'     => 'busybella_section_menubar_settings',
	'default'     => 'text-center',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'text-center'	=> esc_html__( 'Center', 'busybella' ),
		'text-left'		=> esc_html__( 'Left', 'busybella' ),
		'text-right'	=> esc_html__( 'Right', 'busybella' ),
	),
) );

// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_menubar_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_menubar_settings',
    'default'     => array(
            'background-color'    => '#2c2c2c',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-menubar-row' ),  ),
) );

// menubar_border_bottom_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_menubar_border_bottom_width',
	'label'			 => esc_html__( 'Border Bottom Width', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit to width. Ex. 1px', 'busybella' ),
	'section'		 => 'busybella_section_menubar_settings',
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// menubar_border_bottom_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_menubar_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'busybella' ),
	'section'		 => 'busybella_section_menubar_settings',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => '.dtr-menubar-row',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

// menubar_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_menubar_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_menubar_settings',
	'priority'		 => 10,
) );

// menubar_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_menubar_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_menubar_settings',
	'priority'		 => 10,
) );
// header r1 ends

// menubar ends
// logo starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_logo_type',
	'label'       => esc_html__( 'Logo Type', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'default'     => 'busybella_show_image_logo',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'busybella_show_image_logo'	=> esc_html__( 'Image Logo', 'busybella' ),
		'busybella_show_text_logo'		=> esc_html__( 'Text Logo', 'busybella' ),
	),
) );

// logo image
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'image',
	'settings'    => 'busybella_image_logo',
	'label'       => __( 'Logo Upload', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'priority'    => 10,
) );

// logo width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_logo_width',
	'label'			 => esc_html__( 'Logo Width', 'busybella' ),
	'description' 	 => esc_html__( 'No need of unit', 'busybella' ),
	'section'		 => 'busybella_section_logo_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'transport'		 => 'auto',
) );

// logo height
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_logo_height',
	'label'			 => esc_html__( 'Logo Height', 'busybella' ),
	'description' 	 => esc_html__( 'No need of unit', 'busybella' ),
	'section'		 => 'busybella_section_logo_settings',
	'help'			 => esc_html__( 'Logo will get resized according to width provided. Height will not take effect in that case.', 'busybella' ),
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'transport'		 => 'auto',
) );

// logo text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_text_logo',
	'label'			 => esc_html__( 'Logo Text', 'busybella' ),
	'section'		 => 'busybella_section_logo_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'My Logo', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_text_logo',
		),
	),
	'partial_refresh' => array(
		'busybella_text_logo' => array(
			'selector'        => '.dtr-logo',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_text_logo' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// logo font
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_logo_header_typo',
	'label'       => esc_html__( 'Logo Typography', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '28px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_text_logo',
		),
	),
	'output'      => array(
		array(
			'element' => 'a.dtr-logo',
		),
	),
) );

// sticky logo image
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'image',
	'settings'    => 'busybella_sticky_image_logo',
	'label'       => __( 'Sticky header Logo Upload', 'busybella' ),
	'help'		  => esc_html__( 'Sticky header will show default logo image if left blank.', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'priority'    => 10,
) );

// sticky logo width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_logo_width',
	'label'			 => esc_html__( 'Sticky header Logo Width', 'busybella' ),
	'description' 	 => esc_html__( 'No need of unit', 'busybella' ),
	'section'		 => 'busybella_section_logo_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'transport'		 => 'auto',
) );

// sticky logo height
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_logo_height',
	'label'			 => esc_html__( 'Sticky header Logo Height', 'busybella' ),
	'description' 	 => esc_html__( 'No need of unit', 'busybella' ),
	'section'		 => 'busybella_section_logo_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'transport'		 => 'auto',
) );

// retina logo
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'checkbox',
	'settings'    => 'busybella_enable_retina_support',
	'label'       => esc_html__( 'Enable Retina Support for main logo', 'busybella' ),   
	'description' => esc_html__( 'Make sure to upload double size logo image - with same name - and @2x suffix. Otherwise it will return 404', 'busybella' ),
	'help'        => esc_html__( 'Powered by retina.js. Refer help doc for more info.', 'busybella' ),   
	'section'     => 'busybella_section_logo_settings',
	'default'     => '0',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
	),
	'priority'    => 10,
) );

// logo image
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'image',
	'settings'    => 'busybella_retina_image_logo',
	'label'       => __( 'Retina Logo Upload', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
		array(
			'setting'  => 'busybella_enable_retina_support',
			'operator' => '==',
			'value'    => true,
		),
	),
	'priority'    => 10,
) );

// logo image
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'image',
	'settings'    => 'busybella_retina_image_sticky_logo',
	'label'       => __( 'Sticky Header Retina Logo Upload', 'busybella' ),
	'section'     => 'busybella_section_logo_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_logo_type',
			'operator' => '==',
			'value'    => 'busybella_show_image_logo',
		),
		array(
			'setting'  => 'busybella_enable_retina_support',
			'operator' => '==',
			'value'    => true,
		),
	),
	'priority'    => 10,
) );

// sticky header starts
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_sticky_header',
	'label'       	 => esc_html__( 'Sticky Header on Scroll', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );
// sticky_header_background_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_sticky_header_background_color',
	'label'			 => esc_html__( 'Background Color', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => '#dtr-header-sticky',
			'property'	 => 'background-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_sticky_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// sticky_header_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_header_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_sticky_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// sticky_header_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_header_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_sticky_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// sticky_logo_top_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_logo_top_margin',
	'label'			 => esc_html__( 'Margin Top To Logo', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_sticky_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// sticky_nav_top_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_sticky_nav_top_margin',
	'label'			 => esc_html__( 'Margin Top To Menu', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_sticky_header_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_sticky_header',
			'operator' => '==',
			'value'    => 'show',
		),
	),
) );

// page title starts
// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_page_title_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_page_title_settings',
    'default'     => array(
            'background-color'    => '#e5e5e5',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '#dtr-page-title-wrapper' ), ),
) );

// page_title_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_page_title_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'priority'		 => 10,
) );

// page_title_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_page_title_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'priority'		 => 10,
) );


// page_title_border_top_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_page_title_border_top_width',
	'label'			 => esc_html__( 'Border Top Width', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 2px', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// page_title_border_top_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_page_title_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '#dtr-page-title-wrapper',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// page_title_border_bottom_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_page_title_border_bottom_width',
	'label'			 => esc_html__( 'Border Bottom Width', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 2px', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// page_title_border_bottom_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_page_title_border_bottom_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'busybella' ),
	'section'		 => 'busybella_section_page_title_settings',
	'priority'		 => 10,
	'default'        => '#f2f2f2',
	'output'		 => array(
		array(
			'element'	 => '#dtr-page-title-wrapper',
			'property'	 => 'border-bottom-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_page_title_border_bottom_width',
			'operator' => '!=',
			'value'    => '',
		),
	),
	'transport'		 => 'auto',
) );
// page title ends