<?php
/**
 * Woocommerce Layouts
 */
// Layout Classes
if ( ! function_exists( 'busybella_get_woocommerce_layout_class' ) ) {
	function busybella_get_woocommerce_layout_class() {
		// Vars
		$class = 'dtr-fullwidth';
		$busybella_shop_layout = get_theme_mod( 'busybella_shop_layout', 'dtr-fullwidth' ); 
		$busybella_product_layout = get_theme_mod( 'busybella_product_layout', 'dtr-fullwidth' ); 
		
		// Main Shop Page / Archives layout
		if ( is_shop() || is_product_category() || is_product_tag() ) {
			$class = $busybella_shop_layout;
		}
		
		// Single Product Layout
		if ( is_singular( 'product' ) ) {
			$class = $busybella_product_layout;
		}
		return $class;
	} 
} 

// Sidebar on woocommerce pages when assigned
if ( !function_exists('busybella_woocommerce_sidebar') ) {
	function busybella_woocommerce_sidebar() {
		$class = busybella_get_woocommerce_layout_class();
		if ( $class == 'dtr-right-sidebar' || $class == 'dtr-left-sidebar') {
			return true;
		} else {
			return false;
		}
	} 
} 