<?php
/**
 * Template Name: Blog Grid - 2col - Sidebar - First post
 * The template for demo purpose to show blog grid
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?><?php busybella_schema_markup( 'html' ); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?><?php busybella_schema_markup( 'body' ); ?>>
<div id="dtr-wrapper" class="clearfix">
<?php get_header(); ?>
<?php get_template_part( '/template-parts/slider/featured-post-slider' ); ?>
<div id="dtr-main-wrapper" class="dtr-container dtr-blog-grid dtr-blog-grid-fitrows has-full-first-post dtr-right-sidebar">
	
	<main id="dtr-primary-section" class="dtr-content-area">
		<?php 
		
		$args = array(
    			'posts_per_page' => 9
			);
		
		$custom_query = new WP_Query($args); 
$i = 0; while($custom_query->have_posts()) : $custom_query->the_post(); ?>
		<?php if($i==0) { ?>
		<?php get_template_part( '/template-parts/post/entry-layout', get_post_format() ); ?>
		<?php $i++; ?>
		<div class="dtr-post-grid">
			<?php } else { ?>
			<div class="dtr-post-item">
				<?php get_template_part( '/template-parts/post/entry-layout', get_post_format() ); ?>
			</div>
			<?php } ?>
			<?php endwhile; ?>
			<?php wp_reset_postdata(); ?>
		</div>
	</main>
	<!-- #dtr-primary-section -->
	<aside id="dtr-secondary-section" class="dtr-widget-area" <?php busybella_schema_markup( 'sidebar' ); ?>>
		<?php if ( is_active_sidebar( 'widgets-blog' ) ) {
			dynamic_sidebar('widgets-blog');
		} ?>
	</aside>
	<div class="clearfix"></div>
</div>
<!-- #content-wrapper -->
<?php get_footer(); ?>
