<?php
/**
 * Include and setup custom metaboxes and fields.
 */
add_action( 'cmb2_admin_init', 'busybella_metaboxes' );
/**
 * Hook in and add a metabox
 */
function busybella_metaboxes() {
	
	// Prefix
	$prefix = '_busybella_';
	
	// Display metaboxes according to post format
	add_action( 'admin_print_scripts', 'busybella_display_metaboxes', 1000 );
    function busybella_display_metaboxes() {
    	if ( get_post_type() == "post" ) :
        ?>
	<script type="text/javascript">
		jQuery( document ).ready( function($) {
	
		var	$pfaudio = $('#format-post-audio').hide(),
			$pflink = $('#format-post-link').hide(),
			$pfquote = $('#format-post-quote').hide(),
			$pfvideo = $('#format-post-video').hide(),
			$pfgallery = $('#format-post-gallery').hide(),
			$post_format = $('input[name="post_format"]');
	
		$post_format.each(function() {
			var $this = $(this);
			if( $this.is(':checked') )
				change_post_format( $this.val() );
		});
	
		$post_format.change(function() {
			change_post_format( $(this).val() );
		});
	
		function change_post_format( val ) {
			$pfaudio.hide();
			$pflink.hide();
			$pfquote.hide();
			$pfvideo.hide();
			$pfgallery.hide();
			
			if( val === 'audio' ) {
				$pfaudio.show();
			} else if( val === 'link' ) {
				$pflink.show();
			} else if( val === 'quote' ) {
				$pfquote.show();
			} else if( val === 'gallery' ) {
				$pfgallery.show();
			} else if( val === 'video' ) {
				$pfvideo.show();
			}
		}
	});
     </script>
	<?php
    	endif;
	 }
	 
	/**
	 * Promobox Settings
	 */
	$busybella_promobox_metabox = new_cmb2_box( array(
		'id'            => $prefix . 'promobox-settings-metabox',
		'title'         => esc_html__( 'Promobox Settings', 'busybella' ),
		'object_types'  => array( 'dtr_promobox' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
	) );
	
	$busybella_promobox_metabox->add_field( array(
		'desc'  =>  wp_kses( __( 'Title is used as ID to recognize respective promobox. It will not be displayed frontend anywhere.<br>ID for Promobox is <strong> Slug </strong> of Post === Title as viewed in permalink<br><br>Shortcode to Display Promobox :<br><br>[dtr_promobox id="ID"]', 'busybella'), array( 'br' => array(), 'strong' => array(), 'i' => array(), ) ),
		'id'   	=> $prefix . 'promobox_shortcodes_shorthand',
		'type' 	=> 'title',
	) );
	
	$busybella_promobox_metabox->add_field( array(
		'name'	=> esc_html__( 'Promobox Title', 'busybella' ),
		'id'   	=> $prefix . 'promobox_title',
		'type'	=> 'text',
	) );
	
	$busybella_promobox_metabox->add_field( array(
		'name'	=> esc_html__( 'Sub-title', 'busybella' ),
		'id'   	=> $prefix . 'promobox_subtitle',
		'type'	=> 'text',
	) );
	
	$busybella_promobox_metabox->add_field( array(
		'name'	=> esc_html__( 'Button Text', 'busybella' ),
		'id'   	=> $prefix . 'promobox_btn_text',
		'type'	=> 'text',
	) );
	
	$busybella_promobox_metabox->add_field( array(
		'name'	=> esc_html__( 'Button URL', 'busybella' ),
		'id'   	=> $prefix . 'promobox_btn_url',
		'type'  => 'text_url',
	) );
	
	/**
	 * About Element Settings
	 */
	$busybella_about_metabox = new_cmb2_box( array(
		'id'            => $prefix . 'about-settings-metabox',
		'title'         => esc_html__( 'About Element Settings', 'busybella' ),
		'object_types'  => array( 'dtr_about' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
	) );
	
	$busybella_about_metabox->add_field( array(
		'desc'  =>  wp_kses( __( 'Title is used as ID to recognize respective About Element. It will not be displayed frontend anywhere.<br>ID for About Element is <strong> Slug </strong> of Post === Title as viewed in permalink<br><br>Shortcode to Display About Element :<br><br>[dtr_about id="ID"]', 'busybella'), array( 'br' => array(), 'strong' => array(), 'i' => array(), ) ),
		'id'   	=> $prefix . 'about_shortcodes_shorthand',
		'type' 	=> 'title',
	) );
	
	$busybella_about_metabox->add_field( array(
		'name'	=> esc_html__( 'Vertical Tagline', 'busybella' ),
		'id'   	=> $prefix . 'about_tagline',
		'type'	=> 'text',
	) );
	
	$busybella_about_metabox->add_field( array(
		'name'	=> esc_html__( 'Tagline Position from Top', 'busybella' ),
		'desc'  => esc_html__( 'Provide just number, no need of unit. Roughly 20px more than height of tagline. ', 'busybella' ),
		'id'   	=> $prefix . 'about_tagline_position',
		'type'	=> 'text',
	) );
	
	/**
	 * Packagebox Settings
	 */
	$busybella_packagebox_metabox = new_cmb2_box( array(
		'id'            => $prefix . 'packagebox-settings-metabox',
		'title'         => esc_html__( 'Packagebox Settings', 'busybella' ),
		'object_types'  => array( 'dtr_packagebox' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'desc'  =>  wp_kses( __( 'Title is used as ID to recognize respective packagebox. It will not be displayed frontend anywhere.<br>ID for Packagebox is <strong> Slug </strong> of Post === Title as viewed in permalink<br><br>Shortcode to Display Packagebox :<br><br>[dtr_packagebox id="ID"]', 'busybella'), array( 'br' => array(), 'strong' => array(), 'i' => array(), ) ),
		'id'   	=> $prefix . 'packagebox_shortcodes_shorthand',
		'type' 	=> 'title',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Packagebox Title', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_title',
		'type'	=> 'text',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Tagline', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_tagline',
		'type'	=> 'text',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Button Text', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_btn_text',
		'type'	=> 'text',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Button URL', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_btn_url',
		'type'  => 'text_url',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Content Background Color', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_content_bg',
		'type'  => 'colorpicker',
	) );
	
	$busybella_packagebox_metabox->add_field( array(
		'name'	=> esc_html__( 'Pin It Button', 'busybella' ),
		'id'   	=> $prefix . 'packagebox_pinit_enable',
		'default' => '1',
		'type'  => 'checkbox',
	) );
	
	/**
	 * Testimonial Settings
	 */
	$busybella_testimonial_metabox = new_cmb2_box( array(
		'id'            => $prefix . 'testimonial-settings-metabox',
		'title'         => esc_html__( 'Testimonial Settings', 'busybella' ),
		'object_types'  => array( 'dtr_testimonial' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
	) );
	
	$busybella_testimonial_metabox->add_field( array(
		'desc'  =>  wp_kses( __( 'Title is used as ID to recognize respective promobox. It will not be displayed frontend anywhere.<br>ID for Promobox is <strong> Slug </strong> of Post === Title as viewed in permalink<br><br>Shortcode to Display Promobox :<br><br>[dtr_testimonial id="ID"]', 'busybella'), array( 'br' => array(), 'strong' => array(), 'i' => array(), ) ),
		'id'   	=> $prefix . 'promobox_testimonial_shorthand',
		'type' 	=> 'title',
	) );
	
	$busybella_testimonial_metabox->add_field( array(
		'name'	=> esc_html__( 'Client Name', 'busybella' ),
		'id'   	=> $prefix . 'testimonial_client_name',
		'type'	=> 'text',
	) );
	
	$busybella_testimonial_metabox->add_field( array(
		'name'	=> esc_html__( 'Client Designation', 'busybella' ),
		'id'   	=> $prefix . 'testimonial_client_designation',
		'type'	=> 'text',
	) );
	
	// Page Layout
	$page_layout = array(
		'' 					=> esc_html__( 'Default', 'busybella' ),
		'dtr-fullwidth'		=> esc_html__( 'No Sidebar', 'busybella' ),
		'dtr-right-sidebar'	=> esc_html__( 'Right Sidebar', 'busybella' ),
		'dtr-left-sidebar' 	=> esc_html__( 'Left Sidebar', 'busybella' ),
	);

	/**
	 * Page Settings
	 */
	$busybella_page_metabox = new_cmb2_box( array(
		'id'            => $prefix . 'page-settings-metabox',
		'title'         => esc_html__( 'Page Settings', 'busybella' ),
		'object_types'  => array( 'page', 'post' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
	) );

	$busybella_page_metabox->add_field( array(
		'id'   		=> $prefix . 'page_layout_meta',
		'name' 		=> esc_html__( 'Sidebar Position', 'busybella' ),
		'type' 		=> 'select',
		'options'	=> $page_layout,
	) );
	
	/**
	 * Post formats
	 */
	// Gallery Post Format
	$busybella_gallery_pf_metabox = new_cmb2_box( array(
		'id'            => 'format-post-gallery',
		'title'      	=> esc_html__( 'Upload Gallery Images', 'busybella' ),
		'object_types'	=> array( 'post', ), // Post type
		'context'    	=> 'normal',
		'priority'   	=> 'high',
	) );
	
	$busybella_gallery_pf_metabox->add_field( array(
		'id'   	=> $prefix . 'pf_gallery',
		'type' => 'file_list',
		'text' => array(
		//'add_upload_files_text' => 'Replacement', // default: "Add or Upload Files"
//		'remove_image_text' => 'Replacement', // default: "Remove Image"
//		'file_text' => 'Replacement', // default: "File:"
//		'file_download_text' => 'Replacement', // default: "Download"
//		'remove_text' => 'Replacement', // default: "Remove"
	),
	
	) );
	
	
	// Audio Post Format
	$busybella_audio_pf_metabox = new_cmb2_box( array(
		'id'            => 'format-post-audio',
		'title'         => esc_html__( 'Audio Embed Code', 'busybella' ),
		'object_types'	=> array( 'post', ), // Post type
		'context'    	=> 'normal',
		'priority'   	=> 'high',
	) );
	
	$busybella_audio_pf_metabox->add_field( array(
		'id'   => $prefix . 'pf_audio_embed',
		'type' 	=> 'textarea_code',
	) );
	
	// Video Post Format
	$busybella_video_pf_metabox = new_cmb2_box( array(
		'id'            => 'format-post-video',
		'title'         => esc_html__( 'Video Embed Code', 'busybella' ),
		'object_types'	=> array( 'post', ), // Post type
		'context'    	=> 'normal',
		'priority'   	=> 'high',
	) );
	
	$busybella_video_pf_metabox->add_field( array(
		'id'   => $prefix . 'pf_video_embed',
		'type' 	=> 'textarea_code',
	) );
	
	// Quote Post Format
	$busybella_quote_pf_metabox = new_cmb2_box( array(
		'id'            => 'format-post-quote',
		'title'      	=> esc_html__( 'Quote', 'busybella' ),
		'object_types'	=> array( 'post', ), // Post type
		'context'    	=> 'normal',
		'priority'   	=> 'high',
	) );
	
	$busybella_quote_pf_metabox->add_field( array(
		'name'	=> esc_html__( 'Quote text', 'busybella' ),
		'id'   	=> $prefix . 'pf_quote',
		'type'	=> 'textarea',
	) );
	
	$busybella_quote_pf_metabox->add_field( array(
		'name'	=> esc_html__( 'Quote Source', 'busybella' ),
		'id'   	=> $prefix . 'pf_quote_source',
		'type'	=> 'text',
	) );
	
	// Link Post Format
	$busybella_link_pf_metabox = new_cmb2_box( array(
		'id'            => 'format-post-link',
		'title'      	=> esc_html__( 'Link Text and URL', 'busybella' ),
		'object_types'	=> array( 'post', ), // Post type
		'context'    	=> 'normal',
		'priority'   	=> 'high',
	) );
	
	$busybella_link_pf_metabox->add_field( array(
		'name'	=> esc_html__( 'Link text', 'busybella' ),
		'id'   	=> $prefix . 'pf_link_text',
		'type'	=> 'text',
	) );
	
	$busybella_link_pf_metabox->add_field( array(
		'name'	=> esc_html__( 'Link URL', 'busybella' ),
		'id'   	=> $prefix . 'pf_link_url',
		'type'	=> 'text',
	) );

} // busybella_metaboxes