(function() {
	tinymce.PluginManager.add('dtrshortcodes', function( editor, url ) {
		
		// Layout shortcode Starts
		editor.addButton( 'dtr_layout', {
            title: 'Layout',
            type: 'menubutton',
            image: url + '/img/icon-sc-layout.png',
            menu: [
          
			// vertical spacer starts
			{
				text: 'Vertical spacer / gap',
				value: '<p>[dtr_spacer height="20px"]</p>',
				onclick: function(e) {
					e.stopPropagation();
					editor.insertContent(this.value());
				}   
			}, // vertical spacer ends 
			
			// horizontal spacer starts
			{
				text: 'Horizontal spacer / gap',
				value: '<p>[dtr_spacer_wide width="20px"]</p>',
				onclick: function(e) {
					e.stopPropagation();
					editor.insertContent(this.value());
				}   
			}, // horizontal spacer ends 
           ]
        }); // Layout shortcode ends

	// Typography shortcode starts
	editor.addButton( 'dtr_typography', {
		// title: 'Typography',
		text: 'Typography',
		type: 'menubutton',
		// drpdown level 1 starts
		menu: [
		{
			text: 'Text Style',
			value: '[dtr_text_style size="" color="" font_weight="" line_height="" letter_spacing="" class=""]Content here[/dtr_text_style]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}   
		}, // Text Style ends 
		// Blockquote starts
		{
			text: 'Blockquote',
			value: '',
			onclick: function() {
				editor.insertContent(this.value());
			},
		// level 2
		menu: [
		{
			text: 'Blockquote - Left Border',
			value: '[dtr_blockquote style="with_border" source="" half_width="false" class=""]Content here[/dtr_blockquote]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		{
			text: 'Blockquote - Right Border',
			value: '[dtr_blockquote style="with_right_border" source="" class=""]Content here[/dtr_blockquote]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		] // level 2 ends
		},
		// Blockquote ends
		{
			text: 'Dropcap',
			value: '',
			onclick: function() {
				editor.insertContent(this.value());
			},
		// level 2
		menu: [
		{
			text: 'Dropcap Style - Default',
			value: '<span class="dtr-dropcap dtr-dropcap-default">D</span>',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		{
			text: 'Dropcap Style - Circle',
			value: '<span class="dtr-dropcap dtr-dropcap-circle">D</span>',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		{
			text: 'Dropcap Style - Square',
			value: '<span class="dtr-dropcap dtr-dropcap-square">D</span>',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		] // level 2 ends
		}, // dropcap ends
		{
			text: 'Highlight',
			value: '[dtr_highlight bgcolor="" color="" font_size=""]Content here[/dtr_highlight]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}   
		}, // highlight ends 
		
		] // drpdown level 1 ends
	}); // Typography shortcode ends
	
	// Elements shortcode Starts
		editor.addButton( 'dtr_elements', {
            title: 'Elements',
            type: 'menubutton',
            image: url + '/img/icon-sc-elements.png',
            menu: [
			
		// List starts
		{
			text: 'Lists',
			value: '',
			onclick: function() {
				editor.insertContent(this.value());
			},
		// level 2
		menu: [
		{
			text: 'Ordered List',
			value: '[dtr_ordered_list color="" font_size="" line_height="" list_style="decimal / lower-alpha"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_ordered_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		{
			text: 'Unordered List',
			value: '[dtr_list color="" font_size="" line_height="" list_style="square / disc"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		},
		{
			text: 'Checkmark List',
			value: '[dtr_checkmark_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_checkmark_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list with checkmark
		{
			text: 'Circle Checkmark List',
			value: '[dtr_checkmark_circle_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_checkmark_circle_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list with Circle Checkmark
		{
			text: 'Square Checkmark List',
			value: '[dtr_checkmark_square_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_checkmark_square_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list with Square Checkmark
		{
			text: 'Circle List',
			value: '[dtr_circle_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_circle_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list Circle
		{
			text: 'Heart List',
			value: '[dtr_heart_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_heart_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list Heart
		{
			text: 'Star List',
			value: '[dtr_star_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_star_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list Star
		{
			text: 'Arrow List',
			value: '[dtr_arrow_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_arrow_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list Arrow
		{
			text: 'Circle Arrow List',
			value: '[dtr_circle_arrow_list color="" size="default / medium"]<p>[dtr_list_item]List item one[/dtr_list_item]</p><p>[dtr_list_item]List item two[/dtr_list_item]</p><p>[dtr_list_item]List item three[/dtr_list_item]</p>[/dtr_circle_arrow_list]',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}         
		}, // list Circle Arrow
		] // level 2 ends
		},
		// List ends
		// tooltip
		{
			text: 'Tooltip',
			value: '<p>[dtr_tooltip url="" title="Content inside tooltip" placement="top/bottom/left/right"]Link text[/dtr_tooltip]</p>',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}   
		}, // tooltip ends
		// Video Wrapper starts
		{
			text: 'Video Wrapper',
			value: '<p>[dtr_video_wrapper] Video Embed Code Here [/dtr_video_wrapper]</p>',
			onclick: function(e) {
				e.stopPropagation();
				editor.insertContent(this.value());
			}   
		}, // Video Wrapper ends 
		
           ] 
        }); // Elements shortcode ends

	
/* tinymce ends */
	}); // tinymce.PluginManager.add
})(); // end